## org.eclipse.emf.converter.util
Class ConverterUtil

    java.lang.Object
      org.eclipse.emf.converter.util.ConverterUtil

    public class ConverterUtil

extends java.lang.Object

Since:
  2.2.0

Nested Class Summary
`static class` `ConverterUtil.DecodedAction`
`static class` `ConverterUtil.EPackageList`
`static class` `ConverterUtil.GenPackageList`
`static class` `ConverterUtil.ShellFinder`
`static class` `ConverterUtil.WorkspaceResourceValidator`

Field Summary
`static int` `ACTION_DEFAULT`
`static int` `ACTION_DIALOG_NONE`
`static int` `ACTION_DIALOG_SHOW`
`static int` `ACTION_DIALOG_SHOW_ERROR`
`static int` `ACTION_DIALOG_SHOW_IF_HAS_CHILD`
`static int` `ACTION_MESSAGE_NONE`
`static int` `ACTION_MESSAGE_SET`
`static int` `ACTION_MESSAGE_SET_ERROR`
`static int` `ACTION_MESSAGE_SET_TYPED`

Constructor Summary
`ConverterUtil()`

Method Summary
`static int` `computeActionCode(Diagnostic diagnostic)`
`static java.util.List<EPackage>` `computeRequiredPackages(EPackage ePackage)`
`static Diagnostic` `createDiagnostic(Diagnostic baseDiagnostic, java.lang.String source, int code)`
`static Diagnostic` `createErrorDiagnostic(java.lang.Throwable throwable, boolean showErrorDialog)`
`static ResourceSet` `createResourceSet()`
`static ConverterUtil.DecodedAction` `decodeAction(int actionCode)`
`static java.lang.String` `getQualifiedName(EPackage ePackage)`
`static Diagnostic` `mergeDiagnostic(Diagnostic baseDiagnostic, Diagnostic diagnosticToBeMerged)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_DEFAULT

    public static final int ACTION_DEFAULT

See Also:
  Constant Field Values

### ACTION_MESSAGE_NONE

    public static final int ACTION_MESSAGE_NONE

See Also:
  Constant Field Values

### ACTION_MESSAGE_SET

    public static final int ACTION_MESSAGE_SET

See Also:
  Constant Field Values

### ACTION_MESSAGE_SET_TYPED

    public static final int ACTION_MESSAGE_SET_TYPED

See Also:
  Constant Field Values

### ACTION_MESSAGE_SET_ERROR

    public static final int ACTION_MESSAGE_SET_ERROR

See Also:
  Constant Field Values

### ACTION_DIALOG_NONE

    public static final int ACTION_DIALOG_NONE

See Also:
  Constant Field Values

### ACTION_DIALOG_SHOW_IF_HAS_CHILD

    public static final int ACTION_DIALOG_SHOW_IF_HAS_CHILD

See Also:
  Constant Field Values

### ACTION_DIALOG_SHOW

    public static final int ACTION_DIALOG_SHOW

See Also:
  Constant Field Values

### ACTION_DIALOG_SHOW_ERROR

    public static final int ACTION_DIALOG_SHOW_ERROR

See Also:
  Constant Field Values

Constructor Detail

### ConverterUtil

    public ConverterUtil()

Method Detail

### decodeAction

    public static ConverterUtil.DecodedAction decodeAction(int actionCode)

### computeActionCode

    public static int computeActionCode(Diagnostic diagnostic)

### createDiagnostic

    public static Diagnostic createDiagnostic(Diagnostic baseDiagnostic,
                                              java.lang.String source,
                                              int code)

### mergeDiagnostic

    public static Diagnostic mergeDiagnostic(Diagnostic baseDiagnostic,
                                             Diagnostic diagnosticToBeMerged)

### createErrorDiagnostic

    public static Diagnostic createErrorDiagnostic(java.lang.Throwable throwable,
                                                   boolean showErrorDialog)

### createResourceSet

    public static ResourceSet createResourceSet()

### computeRequiredPackages

    public static java.util.List<EPackage> computeRequiredPackages(EPackage ePackage)

### getQualifiedName

    public static java.lang.String getQualifiedName(EPackage ePackage)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.